local _G = _G
local RW = _G.RW3

local DEBUG = RW.DEBUG
local Debug = RW.Debug
local expect = Debug.expect

local ModGroups = {}
local ModStatus = {}
local Mod = {
	name = "Mod", 
	children = {
		{
			widget = "CI-TreeGroup",
			type = "group",
			layout = "Fill",
			statustable = ModStatus,
			groups = ModGroups,
		}
	},
}

--- Add a mod configuration
-- @param value Unique value to identify the mod
-- @param options Options table
function RW.Config:AddMod(value, options)
	if DEBUG then
		expect(value, "typeof", "string;number")
		expect(ModGroups[value], "==", nil)
		expect(options, "typeof", "table")
	end
	
	ModGroups[value] = options
end

RW.Config:AddTopMenu("Mods", Mod)